CVE-2007-6697

Priority
Description
Buffer overflow in the LWZReadByte function in IMG_gif.c in SDL_image
before 1.2.7 allows remote attackers to cause a denial of service
(application crash) or possibly execute arbitrary code via a crafted GIF
file, a similar issue to CVE-2006-4484. NOTE: some of these details are
obtained from third party information.
Assigned-to
kees
Package
Upstream:released (1.2.7)
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was not-affected)
Ubuntu 14.04 LTS (Trusty Tahr):not-affected
Ubuntu 16.04 LTS (Xenial Xerus):not-affected
Ubuntu 18.04 LTS (Bionic Beaver):not-affected
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected
Ubuntu 19.04 (Disco Dingo):not-affected
Patches:
Vendor:http://www.debian.org/security/2008/dsa-1493
Debdiff:https://bugs.launchpad.net/ubuntu/+source/sdl-image1.2/+bug/185782
Package
Upstream:released
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needed)
Ubuntu 14.04 LTS (Trusty Tahr):not-affected
Ubuntu 16.04 LTS (Xenial Xerus):not-affected
Ubuntu 18.04 LTS (Bionic Beaver):not-affected
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected
Ubuntu 19.04 (Disco Dingo):not-affected
Patches:
Upstream:http://www.swi-prolog.org/git/packages/xpce.git/commit/785efb7b94d28c7dbb5b4f2b6f5a908092cf7652
More Information

Updated: 2019-03-19 11:44:50 UTC (commit 15472795df7e9de45b82f2d36b8b419b939f97b2)